/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebTreeGridDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebTreeGridDescription, _super);
    function WebTreeGridDescription() {
        var _this = _super.call(this) || this;
        _this.hn = null;
        _this.hp = null;
        _this.hq = null;
        _this.hh = false;
        _this.hr = null;
        _this.he = null;
        _this.hd = null;
        _this.ho = null;
        _this.hl = null;
        _this.hj = 0;
        _this.hs = null;
        return _this;
    }
    WebTreeGridDescription.prototype.get_type = function () {
        return "WebTreeGrid";
    };
    Object.defineProperty(WebTreeGridDescription.prototype, "childDataKey", {
        get: function () {
            return this.hn;
        },
        set: function (a) {
            this.hn = a;
            this.g("ChildDataKey");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "foreignKey", {
        get: function () {
            return this.hp;
        },
        set: function (a) {
            this.hp = a;
            this.g("ForeignKey");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "hasChildrenKey", {
        get: function () {
            return this.hq;
        },
        set: function (a) {
            this.hq = a;
            this.g("HasChildrenKey");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "cascadeOnDelete", {
        get: function () {
            return this.hh;
        },
        set: function (a) {
            this.hh = a;
            this.g("CascadeOnDelete");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "id", {
        get: function () {
            return this.hr;
        },
        set: function (a) {
            this.hr = a;
            this.g("Id");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "rootRecords", {
        get: function () {
            return this.he;
        },
        set: function (a) {
            this.he = a;
            this.g("RootRecords");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "processedRootRecords", {
        get: function () {
            return this.hd;
        },
        set: function (a) {
            this.hd = a;
            this.g("ProcessedRootRecords");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "dataRef", {
        get: function () {
            return this.ho;
        },
        set: function (a) {
            this.ho = a;
            this.g("DataRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "filteredData", {
        get: function () {
            return this.hl;
        },
        set: function (a) {
            this.hl = a;
            this.g("FilteredData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "expansionDepth", {
        get: function () {
            return this.hj;
        },
        set: function (a) {
            this.hj = a;
            this.g("ExpansionDepth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "rowLoadingIndicatorTemplateRef", {
        get: function () {
            return this.hs;
        },
        set: function (a) {
            this.hs = a;
            this.g("RowLoadingIndicatorTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    WebTreeGridDescription.$t = markType(WebTreeGridDescription, 'WebTreeGridDescription', WebGridBaseDirectiveDescription.$);
    return WebTreeGridDescription;
}(WebGridBaseDirectiveDescription));
export { WebTreeGridDescription };
